- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.gdiobject.Brush Class Reference

The smjg.libs.sdwf.gdiobject.Brush class represents a brush, used to fill shapes and backgrounds. More...

Inheritance diagram for smjg.libs.sdwf.gdiobject.Brush:

List of all members.

## Public Member Functions
| this (RGBColour colour)
| Creates a solid brush of the specified colour.
| this (HS hatchStyle, RGBColour colour)
| Creates a hatched brush.
| this (Bitmap pattern)
| Creates a pattern brush.
| this (BRUSH stockBrush)
| Creates a Brush wrapper around the specified stock brush.
| this (HBRUSH h, bool autoDelete=false)
| Constructs a Brush wrapper around a pre-existing Windows brush object.

## Detailed Description

The smjg.libs.sdwf.gdiobject.Brush class represents a brush, used to fill shapes and backgrounds.

## Constructor & Destructor Documentation

smjg.libs.sdwf.gdiobject.Brush.this | ( | RGBColour | colour | ) |

Creates a solid brush of the specified colour.

Status:
  done

smjg.libs.sdwf.gdiobject.Brush.this | ( | HS | hatchStyle,
|  | RGBColour | colour |
| ) |  |  |

Creates a hatched brush.

Parameters:

  | hatchStyle | the style of hatch.
  | colour | the foreground colour of the hatch pattern.

Status:
  done

smjg.libs.sdwf.gdiobject.Brush.this | ( | Bitmap | pattern | ) |

Creates a pattern brush.

Parameters:

  | pattern | bitmap to use as the pattern.

smjg.libs.sdwf.gdiobject.Brush.this | ( | BRUSH | stockBrush | ) |

Creates a Brush wrapper around the specified stock brush.

Parameters:

  | stockBrush | value identifying the stock brush to be obtained.

smjg.libs.sdwf.gdiobject.Brush.this | ( | HBRUSH | h,
|  | bool | autoDelete = `false` |
| ) |  |  |

Constructs a Brush wrapper around a pre-existing Windows brush object.

Parameters:

  | h | handle of the brush to wrap.
  | autoDelete | (since 0.5) whether the Windows handle should be automatically deleted when the SDWF object is garbage collected.

The documentation for this class was generated from the following file:

- gdiobject.d